summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAvi Halachmi (:avih) <avihpit@yahoo.com>2022-05-20 23:14:08 +0300
committerAvi Halachmi (:avih) <avihpit@yahoo.com>2022-05-20 23:16:50 +0300
commited3af74ffd91d827bcd824a6d6706c29358336c4 (patch)
treed979b25734c4673615b01accf5e35117b45bffee
parent921463028b756dfaddc5b451d9290c02f060feae (diff)
downloadmpv-build-ed3af74ffd91d827bcd824a6d6706c29358336c4.tar.bz2
mpv-build-ed3af74ffd91d827bcd824a6d6706c29358336c4.tar.xz
ffmpeg-config: ssl/tls detection: don't ignore ffmpeg_options
This is a regression from 3de25ed , where previously ffmpeg_options content was added to $OPTION before the checks, but since 3de25ed it stays as "$@", but the ssl/tls still only checked $OPTIONS. Now it checks both $OPTIONS and "$@", which takes ffmpeg_options into account as well.
-rwxr-xr-xscripts/ffmpeg-config6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/ffmpeg-config b/scripts/ffmpeg-config
index d268e0f..4fd3a5b 100755
--- a/scripts/ffmpeg-config
+++ b/scripts/ffmpeg-config
@@ -17,9 +17,9 @@ if "$BUILD"/scripts/test-libmpv ; then
fi
# Do FFmpeg's job.
-if ! ( echo "$OPTIONS" | grep -q -e --enable-openssl ) &&
- ! ( echo "$OPTIONS" | grep -q -e --enable-gnutls ) &&
- ! ( echo "$OPTIONS" | grep -q -e --enable-mbedtls ) ;
+if ! ( echo "$OPTIONS" "$@" | grep -q -e --enable-openssl ) &&
+ ! ( echo "$OPTIONS" "$@" | grep -q -e --enable-gnutls ) &&
+ ! ( echo "$OPTIONS" "$@" | grep -q -e --enable-mbedtls ) ;
then
if pkg-config gnutls ; then
OPTIONS="$OPTIONS --enable-gnutls"